/* Global Styles */
* {
box-sizing: border-box;
margin: 0;
padding: 0;
}

body {
font-family: Arial, sans-serif;
}

.container-profile {
display: flex;
justify-content: center;
align-items: center;
height: 100vh;
}

.profile {
text-align: center;
}

.profile img {
width: 150px;
height: 150px;
border-radius: 50%;
margin-bottom: 20px;
}

button {
padding: 10px 20px;
margin: 10px;
background-color: #A24BF8;
color: #fff;
border: none;
border-radius: 4px;
cursor: pointer;
}

button:hover {
background-color: rgba(255, 255, 255, 0.5);
}

/* Modals */
.modal {
display: none;
position: fixed;
z-index: 1;
left: 0;
top: 0;
width: 100%;
height: 100%;
overflow: auto;
background-color: rgba(0, 0, 0, 0.5);
}

.modal-content {
background-color: #fefefe;
margin: 10% auto;
padding: 20px;
border: 1px solid #888;
width: 80%;
max-width: 500px;
color: #000;
}

.close {
color: #aaa;
float: right;
font-size: 28px;
font-weight: bold;
cursor: pointer;
}

.close:hover,
.close:focus {
color: #000;
text-decoration: none;
cursor: pointer;
}

/* Form Styles */
form label {
display: block;
margin-top: 10px;
}

form input,
form textarea {
width: 100%;
padding: 8px;
margin-top: 4px;
margin-bottom: 12px;
border: 1px solid #ccc;
border-radius: 4px;
resize: vertical;
}

form button[type="submit"] {
background-color: #A24BF8;
color: #fff;
cursor: pointer;
}

form button[type="submit"]:hover {
background-color: #45a049;
}
